// $LastChangedDate: 2009-05-22 17:47:41 -0400 (Fri, 22 May 2009) $
// Args: ecPosition4

    // Apply shadow.
    if ( uni_shadowMode != SHADOW_MODE_DISABLED )
    {
        gl_TexCoord[TEXTURE_UNIT_SHADOW].s = dot( ecPosition4, gl_EyePlaneS[TEXTURE_UNIT_SHADOW] );
        gl_TexCoord[TEXTURE_UNIT_SHADOW].t = dot( ecPosition4, gl_EyePlaneT[TEXTURE_UNIT_SHADOW] );
        gl_TexCoord[TEXTURE_UNIT_SHADOW].p = dot( ecPosition4, gl_EyePlaneR[TEXTURE_UNIT_SHADOW] );
        gl_TexCoord[TEXTURE_UNIT_SHADOW].q = dot( ecPosition4, gl_EyePlaneQ[TEXTURE_UNIT_SHADOW] );
    }
